Botan: Botan::Cert_Extension::Key_Usage Class Reference

Botan 1.10.16

Public Member Functions | List of all members
Botan::Cert_Extension::Key_Usage Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Key_Usage:

## Public Member Functions
Key_Usage * | copy () const
Key_Constraints | get_constraints () const
| Key_Usage (Key_Constraints c=NO_CONSTRAINTS)
OID | oid_of () const

## Detailed Description

Key Usage Constraints Extension

Definition at line 121 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Key_Usage()

Botan::Cert_Extension::Key_Usage::Key_Usage | ( | Key_Constraints | c = `NO_CONSTRAINTS` | ) |
| inline

Definition at line 126 of file x509_ext.h.

126 : constraints(c) {}

## Member Function Documentation

## ◆ copy()

Key_Usage* Botan::Cert_Extension::Key_Usage::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 124 of file x509_ext.h.

124 { return new Key_Usage(constraints); }
Botan::Cert_Extension::Key_Usage::Key_Usage
Key_Usage(Key_Constraints c=NO_CONSTRAINTS)
Definition: x509_ext.h:126

## ◆ get_constraints()

Key_Constraints Botan::Cert_Extension::Key_Usage::get_constraints | ( |  | ) | const
| inline

Definition at line 128 of file x509_ext.h.

References Botan::NO_CONSTRAINTS.

128 { return constraints; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp